Debian Bug report logs - #138092
irssi-scripts: inappropriate ractist and other offensive material

version graph

Package: irssi-scripts; Maintainer for irssi-scripts is Ryan Niebur <ryan@debian.org>; Source for irssi-scripts is src:irssi-scripts.

Reported by: Lazarus Long <lazarus@overdue.ddts.net>

Date: Wed, 13 Mar 2002 01:03:01 UTC

Severity: important

Found in version 2

Fixed in version irssi-scripts/3

Done: Martin Loschwitz <madkiss@madkiss.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Lazarus Long <lazarus@overdue.ddts.net>:
New Bug report received and forwarded. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lazarus Long <lazarus@overdue.ddts.net>
To: submit@bugs.debian.org
Subject: irssi-scripts: inappropriate ractist and other offensive material
Date: Wed, 13 Mar 2002 00:54:34 +0000 (UTC)
Package: irssi-scripts
Version: 2
Severity: important

Yo family's so black, when they hold hands, it looks like a stretch limo.

There's no excuse for racism in Debian.

-- System Information
Debian Release: 3.0
Kernel Version: Linux phoenix 2.4.18 #1 Sun Mar 3 20:15:51 UTC 2002 i586 unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 138092@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Lazarus Long'" <lazarus@overdue.ddts.net>, <138092@bugs.debian.org>
Subject: RE: Bug#138092: irssi-scripts: inappropriate ractist and other offensive material
Date: Wed, 13 Mar 2002 00:47:25 -0700
> -----Original Message-----
> From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
> Sent: Tuesday, March 12, 2002 5:55 PM
> 
> Yo family's so black, when they hold hands, it looks like a 
> stretch limo.
> 
> There's no excuse for racism in Debian.
> 

So, your take is that Debian should censor upstream so we can be more
politically correct?  If you don't appreciate the author's off-colour
humour, then don't use his script(s).

When Debian starts making decisions about what is and isn't appropriate
for our users to see, that's when I stop contributing.  We should not be
about censorship.

... Adam Conrad

(PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
clean off)




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Jochen Eisinger <jochen.eisinger@gmx.de>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 138092@bugs.debian.org (full text, mbox):

From: Jochen Eisinger <jochen.eisinger@gmx.de>
To: Debian Bug Tracking System <138092@bugs.debian.org>
Subject: irssi-scripts: no excuse for racism also outside Debian
Date: Wed, 13 Mar 2002 16:11:22 +0100
Package: irssi-scripts
Version: N/A; reported 2002-03-13

Hi,

being the author of the script this file belongs to, i want to excuse to
anybody who felt offended by this or similar lines.

That file was generated from a database in the internet, and i did not
check it's whole contents before including it, so it's my fault.

I never wanted to offense anybody in such a way. The file will no longer
be included in this package (so said the maintainer) nor will i provide
it for download.

The other two kickreasons are taken from the offending fortunes included
in debian, so i hope they are ok.

regards
-- jochen

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux hobbit 2.5.3-pre4 #1 Thu Jan 24 15:31:51 CET 2002 i686
Locale: LANG=C, LC_CTYPE=de_DE@euro




Reply sent to Martin Loschwitz <madkiss@madkiss.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lazarus Long <lazarus@overdue.ddts.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 138092-close@bugs.debian.org (full text, mbox):

From: Martin Loschwitz <madkiss@madkiss.org>
To: 138092-close@bugs.debian.org
Subject: Bug#138092: fixed in irssi-scripts 3
Date: Wed, 13 Mar 2002 10:47:12 -0500
We believe that the bug you reported is fixed in the latest version of
irssi-scripts, which is due to be installed in the Debian FTP archive:

irssi-scripts_3.dsc
  to pool/main/i/irssi-scripts/irssi-scripts_3.dsc
irssi-scripts_3.tar.gz
  to pool/main/i/irssi-scripts/irssi-scripts_3.tar.gz
irssi-scripts_3_all.deb
  to pool/main/i/irssi-scripts/irssi-scripts_3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 138092@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Loschwitz <madkiss@madkiss.org> (supplier of updated irssi-scripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 13 Mar 2002 16:20:00 +0100
Source: irssi-scripts
Binary: irssi-scripts
Architecture: source all
Version: 3
Distribution: unstable
Urgency: low
Maintainer: Martin Loschwitz <madkiss@madkiss.org>
Changed-By: Martin Loschwitz <madkiss@madkiss.org>
Description: 
 irssi-scripts - useful set of scripts for irssi
Closes: 138091 138092 138125
Changes: 
 irssi-scripts (3) unstable; urgency=low
 .
   * added scripts from Ion.
   * removed kickreasons.momma (Closes: #138092)
   * Synch with irssi-text maintainer (Closes: #138091, #138125)
   * fixed E-Mail address in control-file
Files: 
 a91734f109a603535f93e61c37f78db9 569 net optional irssi-scripts_3.dsc
 c119eb18c926402f45a379522b3aba7b 188261 net optional irssi-scripts_3.tar.gz
 d000653ff4ae22fba3dacf7a269ac8df 188412 net optional irssi-scripts_3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8j3Rqz36OJBrdlaMRAjtlAJ9cHYiH7X29fdeD6Zdq+bFkEeo73ACgpIeq
ptYEmxtr1KztaLBoe1Euzl8=
=Gbg3
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Lazarus Long <lazarus@overdue.ddts.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 138092@bugs.debian.org (full text, mbox):

From: Lazarus Long <lazarus@overdue.ddts.net>
To: Adam Conrad <adconrad@0c3.net>
Cc: 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 18:04:14 +0000
[Message part 1 (text/plain, inline)]
On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
 > 
 > > -----Original Message-----
 > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
 > > Sent: Tuesday, March 12, 2002 5:55 PM
 > > 
 > > Yo family's so black, when they hold hands, it looks like a 
 > > stretch limo.
 > > 
 > > There's no excuse for racism in Debian.
 > > 
 > 
 > So, your take is that Debian should censor upstream so we can be more
 > politically correct?  If you don't appreciate the author's off-colour
 > humour, then don't use his script(s).
 > 
 > When Debian starts making decisions about what is and isn't appropriate
 > for our users to see, that's when I stop contributing.  We should not be
 > about censorship.
 > 
 > ... Adam Conrad
 > 
 > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
 > clean off)

Again,  there is no excuse for racism in Debian.  Other packages have
elided the inappropriate material in the past, as they should.  An IRC
client has no business being racist.  Debian is a distribution that
specifically caters to children; note the debian-junior project.  As it
stands, your package is inappropriate to be on the box my daughter uses.

-- 
Please (OpenPGP) encrypt all mail whenever possible. Request the following
Public Keys for Lazarus Long <lazarus@overdue.ddts.net>

  Type    Bits/KeyID    Fingerprint                   DSA KeyID: vvvv vvvv
ElGamal: 2048g/CCB09D64 8270 4B79 CB1E 433B 6214  64EB 9D58 28A9 E8B1 27F4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 138092@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Lazarus Long'" <lazarus@overdue.ddts.net>
Cc: <138092@bugs.debian.org>
Subject: RE: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 11:34:58 -0700
> -----Original Message-----
> From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
> Sent: Wednesday, March 13, 2002 11:04 AM
> To: Adam Conrad
>
> On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
>  >
>  > When Debian starts making decisions about what is and 
> isn't appropriate
>  > for our users to see, that's when I stop contributing.  We 
> should not be
>  > about censorship.
>  > 
>  > ... Adam Conrad
>  > 
>  > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
>  > clean off)
> 
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior 
> project.  As it
> stands, your package is inappropriate to be on the box my 
> daughter uses.
> 

A) It's not my package.  Upstream has already decided to comply with
your wished, and I'm sure the maintainer has/will as well.

B) Cross-posting to every list you can think of is RUDE.

C) As has been pointed out before, debian-jr does NOT mean that every
package in Debian needs to be "Junior friendly"... Just the ones that
they are putting together in their tasks and such.

D) "No excuse for blah blah blah"... You're one of those people who
thinks that any thing that might possibly offend somebody can't possibly
be funny, right?  You need to lighten the fuck up.  A joke is a joke.
If you don't like it, that's fine, don't deal with it.  Uninstall it.
Whatever.

E) If you had suggested splitting out the offensive bits as "warning" to
end users (like "fortunes" and "fortunes-off"), I would not have been
rude.  In fact, I wouldn't have felt the need to say anything at all.
Giving people choice is fine.  It's good, in fact.

When we TELL people what they can and cannot say, hear, see, and do, we
are no better than the people we "fight" against.  Free software is
about freedom.  The freedom to share and obtain information, in ALL
forms.  It's not about the freedom to share "only the information that
certain people have deemed good and wholesome".  If I want people
telling me how to think, I'll go see if Disney is considering writing an
operating system.

I find the hypocrisy of people who can scream "free speech" and "censor
all the bad stuff" in the same sentence EXTREMELY vexing.  Get over it.
More importantly, get over yourself.  A racist joke isn't a "hate
crime", any more than a fat joke, a blonde joke, a nerd joke, or any of
the other lowbrow humour that makes people giggle in spite of
themselves.

... Adam Conrad

PS. Why did the chicken -- wait, that might be offensive to people with
skinny legs... Never mind.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Chris <kingsqueak@kingsqueak.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 138092@bugs.debian.org (full text, mbox):

From: Chris <kingsqueak@kingsqueak.org>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 14:36:28 -0500
You are kidding right?  IRC is extremely inappropriate for a child to
use, period.  You are way off base, your perspective is badly skewed
and I fear for the safety of your daughter online.  I wish her the
best of luck with such poor guidance to grow with.

* Lazarus Long <lazarus@overdue.ddts.net> [020313 14:26]:
> On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
>  > 
>  > > -----Original Message-----
>  > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
>  > > Sent: Tuesday, March 12, 2002 5:55 PM
>  > > 
>  > > Yo family's so black, when they hold hands, it looks like a 
>  > > stretch limo.
>  > > 
>  > > There's no excuse for racism in Debian.
>  > > 
>  > 
>  > So, your take is that Debian should censor upstream so we can be more
>  > politically correct?  If you don't appreciate the author's off-colour
>  > humour, then don't use his script(s).
>  > 
>  > When Debian starts making decisions about what is and isn't appropriate
>  > for our users to see, that's when I stop contributing.  We should not be
>  > about censorship.
>  > 
>  > ... Adam Conrad
>  > 
>  > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
>  > clean off)
> 
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.
> 
> -- 
> Please (OpenPGP) encrypt all mail whenever possible. Request the following
> Public Keys for Lazarus Long <lazarus@overdue.ddts.net>
> 
>   Type    Bits/KeyID    Fingerprint                   DSA KeyID: vvvv vvvv
> ElGamal: 2048g/CCB09D64 8270 4B79 CB1E 433B 6214  64EB 9D58 28A9 E8B1 27F4



-- 
   __ ___                                  __  
  / //_(_)__  _http://www.kingsqueak.org _/ /__
 / ,< / / _ \/ _ `(_-</ _ `/ // / -_) _ `/  '_/
/_/|_/_/_//_/\_, /___/\_, /\_,_/\__/\_,_/_/\_\ 
            /___/      /_/GPG KEY finger 
	    	      @daemon.kingsqueak.org		



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to "Robert L. Harris" <Robert.L.Harris@rdlg.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 138092@bugs.debian.org (full text, mbox):

From: "Robert L. Harris" <Robert.L.Harris@rdlg.net>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 12:43:56 -0700

Question.  Who determins what should and shouldn't be?  Who is "right"?
If I don't find something offensive should everyone just ignore it?  If
someone else finds it offensive am I wrong?  Maybe I'm not sensitive
enough, maybe they're too sensitive, maybe it's not worth worryiing
about.  Maybe you should uninstall the program and write the auther a
nasty letter.

I personally find redneck jokes great.  I'm from the south, born and
raised and I REALLY don't ever want to see my family tree.  

I love good inbred jokes about the south.  Heck, my mom and dad are
related a couple branches up.  My wife and I are also (we found out
after the marriage).  Luckily my mom was adopted to there's no danger to
my kids, but I still find the jokes funny.  I take them as jokes not
insults.  If I find it insulting I ignore it or give the author direct
crap.  

When I find something offensive, I go after the author who's
responsible.


Thus spake Lazarus Long (lazarus@overdue.ddts.net):

> On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
>  > 
>  > > -----Original Message-----
>  > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
>  > > Sent: Tuesday, March 12, 2002 5:55 PM
>  > > 
>  > > Yo family's so black, when they hold hands, it looks like a 
>  > > stretch limo.
>  > > 
>  > > There's no excuse for racism in Debian.
>  > > 
>  > 
>  > So, your take is that Debian should censor upstream so we can be more
>  > politically correct?  If you don't appreciate the author's off-colour
>  > humour, then don't use his script(s).
>  > 
>  > When Debian starts making decisions about what is and isn't appropriate
>  > for our users to see, that's when I stop contributing.  We should not be
>  > about censorship.
>  > 
>  > ... Adam Conrad
>  > 
>  > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
>  > clean off)
> 
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.
> 
> -- 
> Please (OpenPGP) encrypt all mail whenever possible. Request the following
> Public Keys for Lazarus Long <lazarus@overdue.ddts.net>
> 
>   Type    Bits/KeyID    Fingerprint                   DSA KeyID: vvvv vvvv
> ElGamal: 2048g/CCB09D64 8270 4B79 CB1E 433B 6214  64EB 9D58 28A9 E8B1 27F4





:wq!
---------------------------------------------------------------------------
Robert L. Harris                |  Micros~1 :  
Senior System Engineer          |    For when quality, reliability 
  at RnD Consulting             |      and security just aren't
                                \_       that important!
DISCLAIMER:
      These are MY OPINIONS ALONE.  I speak for no-one else.
FYI:
 perl -e 'print $i=pack(c5,(41*2),sqrt(7056),(unpack(c,H)-2),oct(115),10);'




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 138092@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: debian-devel@lists.debian.org
Cc: 138092@bugs.debian.org, Lazarus Long <lazarus@overdue.ddts.net>
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 14:09:32 -0600
[Message part 1 (text/plain, inline)]
On Wed, Mar 13, 2002 at 06:04:14PM +0000, Lazarus Long wrote:
> On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:

>  > > -----Original Message-----
>  > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
>  > > Sent: Tuesday, March 12, 2002 5:55 PM
>  > > 
>  > > Yo family's so black, when they hold hands, it looks like a 
>  > > stretch limo.
>  > > 
>  > > There's no excuse for racism in Debian.

>  > So, your take is that Debian should censor upstream so we can be more
>  > politically correct?  If you don't appreciate the author's off-colour
>  > humour, then don't use his script(s).

>  > When Debian starts making decisions about what is and isn't appropriate
>  > for our users to see, that's when I stop contributing.  We should not be
>  > about censorship.

>  > ... Adam Conrad

> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.

While I also deplore racism, if you're concerned about children being exposed
to ideas and attitudes that you consider unacceptable, then a quote buried in
an IRC script should be the /least/ of your concerns.  In close to ten years
on the Internet, I have *never* seen an IRC network to which I would apply
the words "polite society", and the probability of being exposed to
objectionable language and behavior coming from real IRC users is much
higher than the risks from a simple kick script.

If you're this worried about offensive speech, you should dpkg --purge all
packages with 'irc' in the name, and block IRC at the firewall.  End of
story.

Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Robert van der Meulen <rvdm@wiretrip.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 138092@bugs.debian.org (full text, mbox):

From: Robert van der Meulen <rvdm@wiretrip.org>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 21:09:45 +0100
[Message part 1 (text/plain, inline)]
Quoting Lazarus Long (lazarus@overdue.ddts.net):
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.
Then don't install it on the box your daughter uses. Debian is about
freedom, not censorship. Shielding from 'sensitive' material is a decision
every parent can make by themselves, and it is _not_ the responsability of
an organisation like Debian to make such a decision.
It can be hard to be 'honest' when freedom is concerned, but it should be
applied equally to standpoints you support, and to standpoints you're
against.

Greets,
	Robert (who obviously is against racism, but that's not the point)

-- 
			      Linux Generation
   encrypted mail preferred. finger rvdm@debian.org for my GnuPG/PGP key.
	Life is a sexually transmitted disease with 100% mortality.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.de>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #55 received at 138092@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 15:52:04 -0500
> 
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.
> 

IMO, the correct decision would be for the Debian Jr. meta package to
conflict with anything that may be offensive. We have things like the
anarchy docs, bitchx, sex, etc. etc. etc.

Don't start a trend that we cannot stick to. Unless you really feel like
perusing the sources of everything (grep -ir fuck in the kernel source),
you should drop this now. Yes it sucks. Yes, a lot of people disagree
with such remarks, but freedom comes in many forms (including allowing
people to speak such nasty remarks).



Ben

-- 
 .----------=======-=-======-=========-----------=====------------=-=-----.
/       Ben Collins    --    Debian GNU/Linux    --    WatchGuard.com      \
`          bcollins@debian.org   --   Ben.Collins@watchguard.com           '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to "Sean 'Shaleh' Perry" <shalehperry@attbi.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 138092@bugs.debian.org (full text, mbox):

From: "Sean 'Shaleh' Perry" <shalehperry@attbi.com>
To: Chris <kingsqueak@kingsqueak.org>
Cc: debian-junior@lists.debian.org, debian-user@lists.debian.org, debian-devel@lists.debian.org, 138092@bugs.debian.org, Adam Conrad <adconrad@0c3.net>, Lazarus Long <lazarus@overdue.ddts.net>
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 13:32:21 -0800 (PST)
On 13-Mar-2002 Chris wrote:
> You are kidding right?  IRC is extremely inappropriate for a child to
> use, period.  You are way off base, your perspective is badly skewed
> and I fear for the safety of your daughter online.  I wish her the
> best of luck with such poor guidance to grow with.
> 

And if she is in the room while he is using it?  Gets a little older and tries
it out herself?

Could there be a way to have a -unclean version?  Let the people who want the
humour ask for it, like we do with the fortunes.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Warren Stramiello <warren@stramiello.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #65 received at 138092@bugs.debian.org (full text, mbox):

From: Warren Stramiello <warren@stramiello.net>
To: 138092@bugs.debian.org
Cc: debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 16:50:19 -0500
On Wed, 2002-03-13 at 14:43, Robert L. Harris wrote:
> 
> 
> Question.  Who determins what should and shouldn't be?  Who is "right"?
> If I don't find something offensive should everyone just ignore it?  If
> someone else finds it offensive am I wrong?  Maybe I'm not sensitive
> enough, maybe they're too sensitive, maybe it's not worth worryiing
> about.  Maybe you should uninstall the program and write the auther a
> nasty letter.

Is there any dissent that the joke was patently and obviously racist,
btw? 

If there is no dissent on that particular joke being racist, then the
course is fairly obvious- fix the matter.

~Warren 




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Warren Stramiello <warren@stramiello.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #70 received at 138092@bugs.debian.org (full text, mbox):

From: Warren Stramiello <warren@stramiello.net>
To: 138092@bugs.debian.org
Cc: debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 16:50:28 -0500
On Wed, 2002-03-13 at 14:36, Chris wrote:
> You are kidding right?  IRC is extremely inappropriate for a child to
> use, period.  You are way off base, your perspective is badly skewed
> and I fear for the safety of your daughter online.  I wish her the
> best of luck with such poor guidance to grow with.

Whether or not IRC is something a child should be using isn't the key
issue...

The key concern is: should racist material be included in Debian?
Or a side issue... should racist material be marked as such perhaps in
the package somehow?

~Warren




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Petro <petro@auctionwatch.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #75 received at 138092@bugs.debian.org (full text, mbox):

From: Petro <petro@auctionwatch.com>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 14:10:46 -0800
On Wed, Mar 13, 2002 at 10:04:14AM -0800, Lazarus Long wrote:
> On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
>  > > -----Original Message-----
>  > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
>  > > Sent: Tuesday, March 12, 2002 5:55 PM
>  > > Yo family's so black, when they hold hands, it looks like a 
>  > > stretch limo.
>  > > There's no excuse for racism in Debian.
>  > So, your take is that Debian should censor upstream so we can be more
>  > politically correct?  If you don't appreciate the author's off-colour
>  > humour, then don't use his script(s).
>  > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
>  > clean off)
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.

    Any racism you perceive in either of those two statements is purely
    your own ignorance and knee-jerk political correctness. 

    Main Entry: rac·ism 
    Pronunciation: 'rA-"si-z&m also -"shi-
    Function: noun
    Date: 1936
    1 : a belief that race is the primary determinant of human traits
    and capacities and that racial differences produce an inherent
    superiority of a particular race
    2 : racial prejudice or discrimination
    - rac·ist  /-sist also -shist/ noun or adjective

    and:

    rac·ism   Pronunciation Key  (rszm)
    n.
    The belief that race accounts for differences in human character or
    ability and that a particular race is superior to others.
    Discrimination or prejudice based on race.

    
    Personally I find racism--as defined above--to be odious, ignorant
    and inefficient, but that does not mean that *eveything* that
    mentions the color of someone's skin is a racists statement. 

    You need a thicker skin. 

-- 
Share and Enjoy. 



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Jeremy Nickurak <atrus@rifetech.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #80 received at 138092@bugs.debian.org (full text, mbox):

From: Jeremy Nickurak <atrus@rifetech.com>
To: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 15:34:18 -0700
[Message part 1 (text/plain, inline)]
On Wed, Mar 13, 2002 at 09:09:45PM +0100, Robert van der Meulen wrote:
> Then don't install it on the box your daughter uses. Debian is about
> freedom, not censorship. Shielding from 'sensitive' material is a decision
> every parent can make by themselves, and it is _not_ the responsability of
> an organisation like Debian to make such a decision.

The issue isn't whether we should keep racist material out of debian. It's a matter of providing software without racist material when people don't want racist material, joke or otherwise. Right now, there is no way to install bitchx without getting these messages. Contrast with fortunes, where a seperate "offensive" fortunes package has to be installed if you want it.
Having racist jokes turned on "by default" reflects badly on debian, its developers, and its users.

--
Jeremy Nickurak -= atrus@rifetech.com =-
"Whoever fights monsters should see to it that in the process he 
 does not become a monster.  And when you look into an abyss, the
 abyss also looks into you." -- Friedrich Nietzsche
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #85 received at 138092@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Ben Collins <bcollins@debian.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 15:25:45 -0800
Ben Collins <bcollins@debian.org> writes:

> Don't start a trend that we cannot stick to. Unless you really feel like
> perusing the sources of everything (grep -ir fuck in the kernel source),
> you should drop this now. Yes it sucks. Yes, a lot of people disagree
> with such remarks, but freedom comes in many forms (including allowing
> people to speak such nasty remarks).

I think it's reasonable for the Debian maintainer of the package to
remove the comments from his version; it's really up to him (or a
General Resolution or other override) to make that decision.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Alan James <alan@tomun.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #90 received at 138092@bugs.debian.org (full text, mbox):

From: Alan James <alan@tomun.org>
To: Chris <kingsqueak@kingsqueak.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 23:29:45 +0000
On Wed, Mar 13, 2002 at 02:36:28PM -0500, Chris wrote:

> You are kidding right?  IRC is extremely inappropriate for a child to
> use, period.  You are way off base, your perspective is badly skewed
> and I fear for the safety of your daughter online.  I wish her the
> best of luck with such poor guidance to grow with.

Actually its perfectly possible to restrict irc access to only one channel
say #debian, through a local dircproxy and firewall rules. but thats not 
the point. 

Any package maintainer should be responsible enough to remove any material
from a package that its users, or those exposed to it, found offensive.
Now I'm not suggesting that we put a "you must be 18 or older to install
this package" disclaimer on such packages but at least that maintainers be 
reasonable and also consider what type of material and behaviour they wish 
to be associated with.

In the case of BitchX (and I'm asuming it's BitchX we're talking about here,
I missed some of this thread) it could potentially offend not just the user 
but other members of the channel that user is leaving. When I used BitchX I 
had to clean up the quit messages to comply with the (partly self inflicted) 
rules of my local LUG's IRC channel.

Do debian developers not have a duty to honor the wishes of Our Users and Free 
Software ? Is it not a reasonable request that this statement be removed from
the debian release of BitchX ?

There's no need to CC the list with the flames, but I will accept criticism.

Alan.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #95 received at 138092@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 18:32:12 -0500
On Wed, Mar 13, 2002 at 03:25:45PM -0800, Thomas Bushnell, BSG wrote:
> Ben Collins <bcollins@debian.org> writes:
> 
> > Don't start a trend that we cannot stick to. Unless you really feel like
> > perusing the sources of everything (grep -ir fuck in the kernel source),
> > you should drop this now. Yes it sucks. Yes, a lot of people disagree
> > with such remarks, but freedom comes in many forms (including allowing
> > people to speak such nasty remarks).
> 
> I think it's reasonable for the Debian maintainer of the package to
> remove the comments from his version; it's really up to him (or a
> General Resolution or other override) to make that decision.

I think it is unreasonable. That's like saying that the library has a
right to burn books that it finds filthy or innappropriate. If you
modify source code simply to remove the authors remarks, your are
censoring, and are no better than a book-burner.


Ben

-- 
 .----------=======-=-======-=========-----------=====------------=-=-----.
/       Ben Collins    --    Debian GNU/Linux    --    WatchGuard.com      \
`          bcollins@debian.org   --   Ben.Collins@watchguard.com           '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Duncan Findlay <daf@daf.2y.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #100 received at 138092@bugs.debian.org (full text, mbox):

From: Duncan Findlay <daf@daf.2y.net>
To: debian-devel@lists.debian.org, debian-user@lists.debian.org
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 18:35:18 -0500
On Wed, Mar 13, 2002 at 09:09:45PM +0100, Robert van der Meulen wrote:
> 
> Quoting Lazarus Long (lazarus@overdue.ddts.net):
> > Again,  there is no excuse for racism in Debian.  Other packages have
> > elided the inappropriate material in the past, as they should.  An IRC
> > client has no business being racist.  Debian is a distribution that
> > specifically caters to children; note the debian-junior project.  As it
> > stands, your package is inappropriate to be on the box my daughter uses.
> Then don't install it on the box your daughter uses. Debian is about
> freedom, not censorship. Shielding from 'sensitive' material is a decision
> every parent can make by themselves, and it is _not_ the responsability of
> an organisation like Debian to make such a decision.
> It can be hard to be 'honest' when freedom is concerned, but it should be
> applied equally to standpoints you support, and to standpoints you're
> against.
> 

Mr. Long,
I don't know how old your daughter is, but I'm 100% sure that she will be
exposed to more content that you deem inappropriate than you could
possibly control. Perhaps instead of trying to protect your daughter from
the inappropriateness of life, you should attempt to teach her what is right
and what is wrong.

Of course, I'm in no position to lecture on parenting -- I'm 15 years old.

-- 
Duncan Findlay



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #105 received at 138092@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Ben Collins <bcollins@debian.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 15:42:16 -0800
Ben Collins <bcollins@debian.org> writes:

> I think it is unreasonable. That's like saying that the library has a
> right to burn books that it finds filthy or innappropriate. If you
> modify source code simply to remove the authors remarks, your are
> censoring, and are no better than a book-burner.

Um, it's free software.  When I package something, I get to warp it in
whatever way I think is most suitable for Debian, and both my
political judgment and my technical judgment are relevant there.

You seem to be saying that we should treat *everything* as if it were
an Invariant Section under the GFDL!?




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #110 received at 138092@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 18:48:43 -0500
On Wed, Mar 13, 2002 at 03:42:16PM -0800, Thomas Bushnell, BSG wrote:
> Ben Collins <bcollins@debian.org> writes:
> 
> > I think it is unreasonable. That's like saying that the library has a
> > right to burn books that it finds filthy or innappropriate. If you
> > modify source code simply to remove the authors remarks, your are
> > censoring, and are no better than a book-burner.
> 
> Um, it's free software.  When I package something, I get to warp it in
> whatever way I think is most suitable for Debian, and both my
> political judgment and my technical judgment are relevant there.
> 
> You seem to be saying that we should treat *everything* as if it were
> an Invariant Section under the GFDL!?

No, I'm saying that using your values as a measuring stick against
whatever the author decided, is not proper.

Technical bugs are rather black and white. Either it is broken, or not.
You use your better judgement based on facts in the gray areas.

Changing some working simply because you are offended by it is just
plain wrong. You are making a decision based solely on your own personal
criteria, rather than that of sound technical advice.

IOW, you are comparing apples and oranges.

-- 
 .----------=======-=-======-=========-----------=====------------=-=-----.
/       Ben Collins    --    Debian GNU/Linux    --    WatchGuard.com      \
`          bcollins@debian.org   --   Ben.Collins@watchguard.com           '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #115 received at 138092@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Ben Collins <bcollins@debian.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 15:58:12 -0800
Ben Collins <bcollins@debian.org> writes:

> Changing some working simply because you are offended by it is just
> plain wrong. You are making a decision based solely on your own personal
> criteria, rather than that of sound technical advice.

I think a Debian developer has a perfectly legitimate right to do
this.  I'm certainly *not* saying he ought to in any particular case.

There is no rule *anywhere* in Debian that one has some kind of
obligation to give upstream authors an unlimited soapbox.  Indeed, if
an upstream author insisted on one, we would regard that as a
requirement thoroughly incompatible with the DFSG.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #120 received at 138092@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 19:00:40 -0500
On Wed, Mar 13, 2002 at 03:58:12PM -0800, Thomas Bushnell, BSG wrote:
> Ben Collins <bcollins@debian.org> writes:
> 
> > Changing some working simply because you are offended by it is just
> > plain wrong. You are making a decision based solely on your own personal
> > criteria, rather than that of sound technical advice.
> 
> I think a Debian developer has a perfectly legitimate right to do
> this.  I'm certainly *not* saying he ought to in any particular case.
> 
> There is no rule *anywhere* in Debian that one has some kind of
> obligation to give upstream authors an unlimited soapbox.  Indeed, if
> an upstream author insisted on one, we would regard that as a
> requirement thoroughly incompatible with the DFSG.

If an individual developer feels it's warranted, then by all means, they
can do so. But making it a Debian motto to do such is a bad idea.


Ben

-- 
 .----------=======-=-======-=========-----------=====------------=-=-----.
/       Ben Collins    --    Debian GNU/Linux    --    WatchGuard.com      \
`          bcollins@debian.org   --   Ben.Collins@watchguard.com           '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #125 received at 138092@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Ben Collins <bcollins@debian.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 16:07:41 -0800
Ben Collins <bcollins@debian.org> writes:

> If an individual developer feels it's warranted, then by all means, they
> can do so. But making it a Debian motto to do such is a bad idea.

Oh, certainly.  I don't think we should have *any* kind of Debian
policy on such things.  




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Alan James <alan@tomun.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #130 received at 138092@bugs.debian.org (full text, mbox):

From: Alan James <alan@tomun.org>
To: debian-user@lists.debian.org
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 00:44:41 +0000
This bug is fixed. This is no longer an issue. 
Please dont reply to this thread, or at least dont CC every other list about 
it..

Yes, I was foolish enough to group reply already, sorry.

You can get the get the details of this mess from :
http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no\&bug=138092

Al..



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to John Griffiths <john@capmon.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #135 received at 138092@bugs.debian.org (full text, mbox):

From: John Griffiths <john@capmon.com>
To: Jeremy Nickurak <atrus@rifetech.com>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 14:13:34 +1100
>The issue isn't whether we should keep racist material out of debian. It's
a matter of providing software without racist material when people don't
want racist material, joke or otherwise. Right now, there is no way to
install bitchx without getting these messages. Contrast with fortunes,
where a seperate "offensive" fortunes package has to be installed if you
want it.
>Having racist jokes turned on "by default" reflects badly on debian, its
developers, and its users.
>

Perhaps we should move away from judging the quality of 
the humour?

Surely there's no place for jokes in the software installation?

Aside from aspects of professionalism, almost all humour is
offensive to someone.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #140 received at 138092@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Jeremy Nickurak <atrus@rifetech.com>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 19:18:58 -0800
Jeremy Nickurak <atrus@rifetech.com> writes:

> The issue isn't whether we should keep racist material out of
> debian. It's a matter of providing software without racist material
> when people don't want racist material, joke or otherwise. 

Right now, I have no trouble: I don't use bitchx.

If I wanted it, and the offensive joke were always "in my face", I
would delete it.

I might ask the developer to delete it.  

I might ITP a version of the package without, and "let the users
decide".

But I wouldn't try and armtwist the developer into doing the work for
me that I should be happy to do myself.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Scott Dier <dieman@ringworld.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #145 received at 138092@bugs.debian.org (full text, mbox):

From: Scott Dier <dieman@ringworld.org>
To: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 21:58:52 -0600
[Message part 1 (text/plain, inline)]
* Robert van der Meulen <rvdm@wiretrip.org> [020313 16:20]:
> 
> Quoting Lazarus Long (lazarus@overdue.ddts.net):
> > Again,  there is no excuse for racism in Debian.  Other packages have
> > elided the inappropriate material in the past, as they should.  An IRC
> > client has no business being racist.  Debian is a distribution that
> > specifically caters to children; note the debian-junior project.  As it
> > stands, your package is inappropriate to be on the box my daughter uses.
> Then don't install it on the box your daughter uses. Debian is about
> freedom, not censorship. Shielding from 'sensitive' material is a decision

Agreed, Debian isn't about censorship.  Some people feel that exposing
'children' to these and providing context, history, ethics, and other
values from their parents is a better approach.

Eliminating racism is promoting ignorance and taboos.  Helping people
identify, and know what is or isn't 'humor' and what is or isn't right
in 'context' is a bit more important, IMO.  Hopefully these parents have
passed down values and openness to their children so they identify this
sort of stuff and ask questions about it.  Societies built across
ignorance will just repeat the past.

If Debian censors this, they might be censoring the way some people wish
to parent their children.

-- 
Scott Dier <dieman@ringworld.org> http://www.ringworld.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Crispin Wellington <crispin@aeonline.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #150 received at 138092@bugs.debian.org (full text, mbox):

From: Crispin Wellington <crispin@aeonline.net>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 14 Mar 2002 12:15:37 +0800
On Thu, 2002-03-14 at 02:04, Lazarus Long wrote:
> On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
>  > 
>  > > -----Original Message-----
>  > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
>  > > Sent: Tuesday, March 12, 2002 5:55 PM
>  > > 
>  > > Yo family's so black, when they hold hands, it looks like a 
>  > > stretch limo.
>  > > 
>  > > There's no excuse for racism in Debian.
>  > > 
>  > 
>  > So, your take is that Debian should censor upstream so we can be more
>  > politically correct?  If you don't appreciate the author's off-colour
>  > humour, then don't use his script(s).
>  > 
>  > When Debian starts making decisions about what is and isn't appropriate
>  > for our users to see, that's when I stop contributing.  We should not be
>  > about censorship.
>  > 
>  > ... Adam Conrad
>  > 
>  > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
>  > clean off)
> 
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC
> client has no business being racist.  Debian is a distribution that
> specifically caters to children; note the debian-junior project.  As it
> stands, your package is inappropriate to be on the box my daughter uses.

It has been said that racism continues to thrive when good people choose
to do nothing. Speaking out against this is the imperative of all good
people.

Kind Regards
Crispin




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to tbutler@uninetsolutions.com:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #155 received at 138092@bugs.debian.org (full text, mbox):

From: "Timothy R. Butler" <tbutler@uninetsolutions.com>
To: Ben Collins <bcollins@debian.org>, "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Wed, 13 Mar 2002 22:56:08 -0600
Howdy,
> I think it is unreasonable. That's like saying that the library has a
> right to burn books that it finds filthy or innappropriate. If you
 
  Perhaps, but please go into your library and tell me how many racist books 
are in there. I would be more than willing to bet that your average library 
does not go out of it's way to include offensive books. 

> modify source code simply to remove the authors remarks, your are
> censoring, and are no better than a book-burner.

  So, if someone creates a program that has a button that says "Please Click 
Here," and that button initializes the hard disk, are we to assume the 
package maintainer is not to edit it so to avoid infringing on Upstream's 
rights (exactly how many rights they actually have when dealing with a 
private project is on shaky ground).

  -Tim

-- 
----------------------------------------------------------------
Timothy R. Butler                    tbutler@uninetsolutions.com 
Universal  Networks                       http://www.uninet.info        
Christian Portal and Search Tool:       http://www.faithtree.com
Open Source Migration Guide:                  http://www.ofb.biz
============= "Christian Web Services Since 1996" ==============



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Warren Stramiello <warren@stramiello.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #160 received at 138092@bugs.debian.org (full text, mbox):

From: Warren Stramiello <warren@stramiello.net>
To: Ben Collins <bcollins@debian.org>
Cc: "Thomas Bushnell, BSG" <tb@becket.net>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: 13 Mar 2002 23:54:51 -0500
> > I think it's reasonable for the Debian maintainer of the package to
> > remove the comments from his version; it's really up to him (or a
> > General Resolution or other override) to make that decision.
> 
> I think it is unreasonable. That's like saying that the library has a
> right to burn books that it finds filthy or innappropriate. If you
> modify source code simply to remove the authors remarks, your are
> censoring, and are no better than a book-burner.

*Does* the library have the right to censor books it finds filthy or
inappropriate? I was under the impression they do indeed have that
power... at the very least, I don't recall the last time the library
near me carried the latest issue of penthouse...

Trying to stir up passions by comparing snipping racist remarks from
source to the image of a torch-waving book burning (and the implicit
link to nazism) doesn't strike me as a good analogy... the request that
the racist material be snipped, or that it be shot off into a -offensive
package (a la fortune) is several steps removed from demanding that the
author's package be srm'd, following by the shredding of any drive
platters it's touched...

I may be way off base, but I think it's fair to file a bug request
pointing out the offensive nature of the racist material in the package,
asking that it be considered for splitting into -normal and
-offensive... what the maintainer chooses to do is his own decision,
though, and I don't think anything short of a resolution of some sort
could force the change upon it (but I would have to look up the rules
before I say for certain what can and cannot be forced).

~Warren




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #165 received at 138092@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: "Timothy R. Butler" <tbutler@uninetsolutions.com>
Cc: "Thomas Bushnell, BSG" <tb@becket.net>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 00:04:03 -0500
On Wed, Mar 13, 2002 at 10:56:08PM -0600, Timothy R. Butler wrote:
> Howdy,
> > I think it is unreasonable. That's like saying that the library has a
> > right to burn books that it finds filthy or innappropriate. If you
>  
>   Perhaps, but please go into your library and tell me how many racist books 
> are in there. I would be more than willing to bet that your average library 
> does not go out of it's way to include offensive books. 

Tom Sawyer?

> > modify source code simply to remove the authors remarks, your are
> > censoring, and are no better than a book-burner.
> 
>   So, if someone creates a program that has a button that says "Please Click 
> Here," and that button initializes the hard disk, are we to assume the 
> package maintainer is not to edit it so to avoid infringing on Upstream's 
> rights (exactly how many rights they actually have when dealing with a 
> private project is on shaky ground).

You people have a hard time seperating technical and political aspects
of things. I'll leave you all to fight about issues that are older than
most nations.

-- 
 .----------=======-=-======-=========-----------=====------------=-=-----.
/       Ben Collins    --    Debian GNU/Linux    --    WatchGuard.com      \
`          bcollins@debian.org   --   Ben.Collins@watchguard.com           '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Lars Knudsen <gandalf@revicon.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #170 received at 138092@bugs.debian.org (full text, mbox):

From: Lars Knudsen <gandalf@revicon.com>
To: Ben Collins <bcollins@debian.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 11:21:42 +0100

Ben Collins wrote:

>>Again,  there is no excuse for racism in Debian.  Other packages have
>>elided the inappropriate material in the past, as they should.  An IRC
>>client has no business being racist.  Debian is a distribution that
>>specifically caters to children; note the debian-junior project.  As it
>>stands, your package is inappropriate to be on the box my daughter uses.
>>
>
>IMO, the correct decision would be for the Debian Jr. meta package to
>conflict with anything that may be offensive. We have things like the
>anarchy docs, bitchx, sex, etc. etc. etc.
>
Hopefully this was meant at least partially as a joke ? Removing 
anything that may be
offensive from the Debian Jr meta package would make the package empty. 
I.e. "man ls"
gives:
------------------------------------------------------------------------------------------
LS(1)                          FSF                          LS(1)

NAME
      ls - list directory contents

SYNOPSIS
      ls [OPTION]... [FILE]...

DESCRIPTION
      List information about the FILEs (the current directory by
      default).  Sort entries alphabetically if none of -cftuSUX
      nor --sort.
-----------------------------------------------------------------------------------------
Hey!! Someone wrote SUX in the man page to ls, surely ls must be removed.

Trying to keep debian politically correct is going to take a lot of work 
since what
is PC is constantly changing. Once "negro" was not considered derogatory 
but that
soon changed. Then "black" was not considered derogatory for a while (and it
still isn't if the person using the term has this skin color), later 
"black" was deemed
unacceptable and "african american" became PC, but after a while this 
also became
unacceptable etc etc..

Perhaps debian should have a PC package much like the the i18l packages and
all packages should do substitutions of person descriptions, i.e. a part 
of the
implementation could be:

if (get_user_nationality(getuid()) == FROM_NEW_ZEALAND) {
   s/INHABITANT_OF_NZ/kiwi/
} else {
   s/INHABITANT_OF_NZ/fine new zealandish individual/
}

Enough rambling. Just to say that what one person person considers 
acceptable, another
is sure to call offensive or racism - this problem can not be solved by 
censoring debian
packages but only by teaching openness and teaching how to distinguish 
humor from
racism as already suggested by several people in this thread.

/Gandalf





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #175 received at 138092@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Ben Collins'" <bcollins@debian.org>, <138092@bugs.debian.org>
Cc: "'Timothy R. Butler'" <tbutler@uninetsolutions.com>
Subject: RE: Bug#138092: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 10:35:43 -0700
> -----Original Message-----
> From: Ben Collins [mailto:bcollins@debian.org] 
> Sent: Wednesday, March 13, 2002 10:04 PM
> To: Timothy R. Butler
> >  
> >   Perhaps, but please go into your library and tell me how 
> many racist books 
> > are in there. I would be more than willing to bet that your 
> average library 
> > does not go out of it's way to include offensive books. 
> 
> Tom Sawyer?
> 

Uncle Tom's Cabin... The KJV Bible?  :)

... Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to p <pplaw@pcisys.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #180 received at 138092@bugs.debian.org (full text, mbox):

From: p <pplaw@pcisys.net>
To: Petro <petro@auctionwatch.com>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 20:05:09 +0000
On Wed, Mar 13, 2002 at 02:10:46PM -0800, Petro wrote:
> On Wed, Mar 13, 2002 at 10:04:14AM -0800, Lazarus Long wrote:
> > On Wed, Mar 13, 2002 at 12:47:25AM -0700, Adam Conrad wrote:
> >  > > -----Original Message-----
> >  > > From: Lazarus Long [mailto:lazarus@overdue.ddts.net] 
> >  > > Sent: Tuesday, March 12, 2002 5:55 PM
> >  > > Yo family's so black, when they hold hands, it looks like a 
> >  > > stretch limo.
> >  > > There's no excuse for racism in Debian.
> >  > So, your take is that Debian should censor upstream so we can be more
> >  > politically correct?  If you don't appreciate the author's off-colour
> >  > humour, then don't use his script(s).
> >  > (PS: Yo mama so white, when she gets naked, yo daddy's retinas burn
> >  > clean off)
> > Again,  there is no excuse for racism in Debian.  Other packages have
> > elided the inappropriate material in the past, as they should.  An IRC
> > client has no business being racist.  Debian is a distribution that
> > specifically caters to children; note the debian-junior project.  As it
> > stands, your package is inappropriate to be on the box my daughter uses.
> 
>     Any racism you perceive in either of those two statements is purely
>     your own ignorance and knee-jerk political correctness. 

b.s.!  making fun of someone else's skin color is patently wrong, and i
don't care how you want to slice it or garnish it with "red herring":


> 
>     Main Entry: rac·ism 
>     Pronunciation: 'rA-"si-z&m also -"shi-
>     Function: noun
>     Date: 1936
>     1 : a belief that race is the primary determinant of human traits
>     and capacities and that racial differences produce an inherent
>     superiority of a particular race
>     2 : racial prejudice or discrimination
>     - rac·ist  /-sist also -shist/ noun or adjective
> 
>     and:
> 
>     rac·ism   Pronunciation Key  (rszm)
>     n.
>     The belief that race accounts for differences in human character or
>     ability and that a particular race is superior to others.
>     Discrimination or prejudice based on race.
> 
>     
>     Personally I find racism--as defined above--to be odious, ignorant
>     and inefficient, but that does not mean that *eveything* that
>     mentions the color of someone's skin is a racists statement. 
> 
>     You need a thicker skin. 
>
...(i'm gonna let that one pass.)

just because there isn't a "crystalline" standard as to racist
statements doesn't mean that "anything goes."  (even "free speech" has
limits.)  

any offical .deb with that type of stupidity is a waste of bandwidth.
 
> -- 
> Share and Enjoy. 
> 
(thanks anyway.)
> 
> -- 
> To UNSUBSCRIBE, email to debian-user-request@lists.debian.org 
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to John Griffiths <john@capmon.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #185 received at 138092@bugs.debian.org (full text, mbox):

From: John Griffiths <john@capmon.com>
To: p <pplaw@pcisys.net>
Cc: Petro <petro@auctionwatch.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Fri, 15 Mar 2002 09:49:56 +1100
>b.s.!  making fun of someone else's skin color is patently wrong, and i
>don't care how you want to slice it or garnish it with "red herring":

No! bullshit to you

free speech is free.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to p <pplaw@pcisys.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #190 received at 138092@bugs.debian.org (full text, mbox):

From: p <pplaw@pcisys.net>
To: John Griffiths <john@capmon.com>
Cc: p <pplaw@pcisys.net>, Petro <petro@auctionwatch.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 23:25:48 +0000
On Fri, Mar 15, 2002 at 09:49:56AM +1100, John Griffiths wrote:
> 
> >b.s.!  making fun of someone else's skin color is patently wrong, and i
> >don't care how you want to slice it or garnish it with "red herring":
> 
> No! bullshit to you
> 
> free speech is free.

//

please.  in my country, yelling, "fire," in a crowded theater
(that is not on fire) is _not_ protected by "free speech."  
slander.  etc.

//



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Petro <petro@auctionwatch.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #195 received at 138092@bugs.debian.org (full text, mbox):

From: Petro <petro@auctionwatch.com>
To: p <pplaw@pcisys.net>, John Griffiths <john@capmon.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 16:45:33 -0800
On Thu, Mar 14, 2002 at 11:25:48PM +0000, p wrote:
> On Fri, Mar 15, 2002 at 09:49:56AM +1100, John Griffiths wrote:
> > 
> > >b.s.!  making fun of someone else's skin color is patently wrong, and i
> > >don't care how you want to slice it or garnish it with "red herring":
> > No! bullshit to you
> > free speech is free.
> //
> please.  in my country, yelling, "fire," in a crowded theater
> (that is not on fire) is _not_ protected by "free speech."  
> slander.  etc.
> //

   Then you don't have free speech in your country. 

   (And yes, I realize you're probably talking about the US, and no, we
   do not have freedom of speech in this country. Not any more.) 

-- 
Share and Enjoy. 



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to p <pplaw@pcisys.net>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #200 received at 138092@bugs.debian.org (full text, mbox):

From: p <pplaw@pcisys.net>
To: Petro <petro@auctionwatch.com>
Cc: p <pplaw@pcisys.net>, John Griffiths <john@capmon.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 23:47:07 +0000
On Thu, Mar 14, 2002 at 04:45:33PM -0800, Petro wrote:
> On Thu, Mar 14, 2002 at 11:25:48PM +0000, p wrote:
> > On Fri, Mar 15, 2002 at 09:49:56AM +1100, John Griffiths wrote:
> > > 
> > > >b.s.!  making fun of someone else's skin color is patently wrong, and i
> > > >don't care how you want to slice it or garnish it with "red herring":
> > > No! bullshit to you
> > > free speech is free.
> > //
> > please.  in my country, yelling, "fire," in a crowded theater
> > (that is not on fire) is _not_ protected by "free speech."  
> > slander.  etc.
> > //
> 
>    Then you don't have free speech in your country. 
> 
>    (And yes, I realize you're probably talking about the US, and no, we
>    do not have freedom of speech in this country. Not any more.) 
> 
> -- 
> Share and Enjoy. 

//

correct.

//



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to "David D.W. Downey" <david-downey@codecastle.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #205 received at 138092@bugs.debian.org (full text, mbox):

From: "David D.W. Downey" <david-downey@codecastle.com>
To: "p" <pplaw@pcisys.net>, "Petro" <petro@auctionwatch.com>
Cc: "John Griffiths" <john@capmon.com>, "Lazarus Long" <lazarus@overdue.ddts.net>, "Adam Conrad" <adconrad@0c3.net>, <138092@bugs.debian.org>, <debian-devel@lists.debian.org>, <debian-user@lists.debian.org>, <debian-junior@lists.debian.org>
Subject: RE: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 19:26:26 -0800
Can this thread please end? This is getting stupid now.

Look, whoever started this damnt hread. (Not worth me lookin back to find
out).

Regardless of what country you live in, or the laws in your country, Debian
GNU/Linux revolves around free as in ideas, speech, software, and the very
fabric of our individual societies. If you have a problem with a piece of
software THEN DON'T USE IT. Simple end of story, no ifs, ands, or buts about
it. YOU YOU YOU, are responsible for what YOUR YOUR YOUR daughter sees,
hears and/or is subjected to, NOT DEBIAN.

It is NOT NOT NOT (can I stress this enough?) Debian's place to police the
content of a particular software's entries if it conforms to our policies
(See the Debian GNU/Linux Social Contract and other such documents.) Show us
in there where it says we are to do this act you would ahve us do and THEN
we will gladly shut up, sit back, and police the contents of any and all
packages that are members of the Debian GNU/Linux distribution.

Your use of a distribution does NOT NOT NOT preclude YOU YOU YOU from being
socially an parentially responsible for ensuring your daughter does not see,
hear, or become exposed to any software or real world items you don't want
her to see. YOU are the irresponsible party IF you di NOT first check the
software that was installed BEFORE allowing her to viewor use it.

I have two children of my own. I have some things I am dead set against them
seeing or hearing. I'm a white southern boy, I grew up in a town almsot
completely populated by rascists. The word "nigger" darky" "nig" "tarbaby"or
other such derogatory remarks will NEVER be allowed in my house. My kids
WILL recieve a bar of soap in the mouth and a belt across the ass I EVER
hear something like that come from them!

I had an incident where my son came home from kindegarten saying the word
nigger. When asked where he heard that he said the teacher. I tore down to
that school so fast it wasn't funny. I berated the school for allowing such
comments to be said in front of my child and then promptly disenrolled him
and placed him in a different school. THAT is MY reponsibility, if I do not
like the way the school does something **I** have the responsibility to
change it. NOw, yes, the school does as well since they are a school of
public learning and subject to federal and state laws that require them to
obliterate any and all rascism while recieving federal or state funds.

My entire point in this is, IT IS NOT THE RESPONSIBILITY OF DEBIN GNU/LINUX
TO POLICE OR MONITOR PACKAGE CONTENTS FOR COMPLIANCE WITH YOUR SOCIAL AND
PERSONAL VALUE SYSTEMS.

I hate Neo-Nazi skinheads. I hate the Nazi movement, and everything it
stands for. I hate the Kul Klux Klan even though I have family members that
belive in their train of thought. We have many members that belivee in those
social and ethical value systems. Should we kick them out of the Debian
GNU/Linux project simply because of THEIR value systems?

No. Why? because THEY are socially responsible enough NOT to attempt to put
THEIR value systems on the project. They contribute good solid software that
provides meaningful use to that segment of society that chooses to use
Debian GNU/Linux. Simple. End of story.

If you want policing, can linux and reinstall windows. Use cybermonkey and
set it on it's highest settings. Then sit with your child(ren) while they
surf the net like any parent who truly cares what their children do and do
not become exposed to do.

Now, can we PLEASE, for the love of (your deity or lack thereof here), end
this thread?

David D. W. Downey ("pgpkeys")


-----Original Message-----
From: p [mailto:pplaw@pcisys.net]
Sent: Thursday, March 14, 2002 3:47 PM
To: Petro
Cc: p; John Griffiths; Lazarus Long; Adam Conrad;
138092@bugs.debian.org; debian-devel@lists.debian.org;
debian-user@lists.debian.org; debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material


On Thu, Mar 14, 2002 at 04:45:33PM -0800, Petro wrote:
> On Thu, Mar 14, 2002 at 11:25:48PM +0000, p wrote:
> > On Fri, Mar 15, 2002 at 09:49:56AM +1100, John Griffiths wrote:
> > >
> > > >b.s.!  making fun of someone else's skin color is patently wrong, and
i
> > > >don't care how you want to slice it or garnish it with "red herring":
> > > No! bullshit to you
> > > free speech is free.
> > //
> > please.  in my country, yelling, "fire," in a crowded theater
> > (that is not on fire) is _not_ protected by "free speech."
> > slander.  etc.
> > //
>
>    Then you don't have free speech in your country.
>
>    (And yes, I realize you're probably talking about the US, and no, we
>    do not have freedom of speech in this country. Not any more.)
>
> --
> Share and Enjoy.

//

correct.

//


--
To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to user list <debian-user@icantbelieveimdoingthis.com>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #210 received at 138092@bugs.debian.org (full text, mbox):

From: user list <debian-user@icantbelieveimdoingthis.com>
To: John Griffiths <john@capmon.com>
Cc: p <pplaw@pcisys.net>, Petro <petro@auctionwatch.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Thu, 14 Mar 2002 23:16:19 -0700
This will be a bit of a long message to bear with me. To keep your interest
I will tell you straight off that this is not, I repeat NOT, a free speech
issue. I will explain why below. 

I first want to point out that the package maintainer is a whole lot more
reasonable than most people on this thread.

First, the inclusion of the racist joke was a mistake! The maintainer
of the package admitted so and apologized saying that it was not his intention 
to offend anyone. He has removed it from the code and will not download it
on request. This should, in principle, stop the issue. However, because
of the knee-jerk assignment of this to free-speech, and because many of
the names I associate closely with Debian have been, to put it mildly,
completely off the mark, I want to put this forward as a social contract
policy issue.

I'm posting this here and will cross post this on the project list because
I think that the program lead should really look at this issue carefully
and the developers should have a policy along the lines that I give below.

I'm going to break my comments into pracital and principle issues.

Practical:

Let's just say that this is a free-speech issue. The point is that free-speech
does not reach into institutions. If a racist statement were part of a program
that communicated with other programs, it would not be allowed on any 
US government machines. It would not be allowed on many corporate machines.
This is because these institutions hold that the sense of security of its
members is more important than the First Ammendment. Just as you cannot claim
First ammendment rights in yelling fire in a theater, you also cannot claim 
those rights if you use racist or offensive language to intimidate others.
So, if Debian knowingly kept a piece of software that were racist, it would
be relegating itself to a very minor role in desk-top and work station compu-
tation. As I said in my first post, I would remove it from all of my machines.
It would be a very easy decision. I think it would be a real shame if this
happened because Debian is a real accomplishment. 

Principle:

This email is an example of excercise of free speech. It is clear who is 
addressing you. This is really my speech. The case of a program that
ends its run with a statement, any statement, is not free speech. To the
contrary, it is constraining me to issue a statement that I don't necessarily
agree with. The free speech of the maintainer would masquerade as my speech.
This hypothetical situation would be, to my mind a devious and cowardly way
for a maintainer to promulgate his or her views.

I suppose one could say that I could peruse every line of source code that 
is downloaded onto my machine to assure that I catch every one of these 
instances, but, of course I won't. I rely on the social contract of the 
Distribution to take care of this.

Proposed Policy:

If Debian wants a place in the standard workplaces (Corporate Offices, Govern-
ment Laboratories, etc.) then I think they should have a stated policy
that the distribution will not contain any known instances of racist or
offensive language. Note that the word known is very important because I don't
think that anyone wold expect a gate keeper. It simply would not be practical.
However, if a known bug is found then it should be dealt with. One would hope
that it would be dealt with in the way it was here. It would be an inadvertent
mistake and it would be corrected rapidly. If the maintainer were truly racist,
then it should be a policy that that package be dropped until the offending
language is removed or until a new maintainer can be found. 


Art Edwards

On Fri, Mar 15, 2002 at 09:49:56AM +1100, John Griffiths wrote:
> 
> >b.s.!  making fun of someone else's skin color is patently wrong, and i
> >don't care how you want to slice it or garnish it with "red herring":
> 
> No! bullshit to you
> 
> free speech is free.
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-user-request@lists.debian.org 
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Scott Dier <dieman@ringworld.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #215 received at 138092@bugs.debian.org (full text, mbox):

From: Scott Dier <dieman@ringworld.org>
To: Lazarus Long <lazarus@overdue.ddts.net>
Cc: Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Fri, 15 Mar 2002 22:08:44 -0600
[Message part 1 (text/plain, inline)]
* Lazarus Long <lazarus@overdue.ddts.net> [020313 13:24]:
>  > > Yo family's so black, when they hold hands, it looks like a 
>  > > stretch limo.
>  > > There's no excuse for racism in Debian.
> Again,  there is no excuse for racism in Debian.  Other packages have
> elided the inappropriate material in the past, as they should.  An IRC

Perhaps you should try and work this out into policy if you feel so
strongly about it instead of feeding a war on -devel?  I feel this fight
is becoming intrest-war less than a 'racism is bad, mm'kay' war.  You
have prefrences for your children, I'm pretty sure that out of all those
prefrences no two are perfectly alike.  One user can not dictate
policy, however, with more than one developer there is a potential for
change,  This change, however, can be stopped by other developers en
masse.

If your not allready noticing a concensus one way or another, there are
more formal ways of proving this is the way or not.  I urge you to make
a decision on this instead of wallowing around in -devel.  Enlist a
willing developer or two into your cause and find out if this is
feasible.

-- 
Scott Dier <dieman@ringworld.org> http://www.ringworld.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #220 received at 138092@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Scott Dier <dieman@ringworld.org>
Cc: Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Fri, 15 Mar 2002 22:47:20 -0600
>>"Scott" == Scott Dier <dieman@ringworld.org> writes:
 Scott> Perhaps you should try and work this out into policy if you
 Scott> feel so strongly about it instead of feeding a war on -devel?

	Nope. Debian policy is really technical policy. Non technical
 issues can't be foisted onto the project by the policy group (no such
 power in the constitution). 

	This is a non technical issue, dealing with ethics, and all
 kinds of big isms. 

	Now, the rating system may have a technical component. There,
 one needs to spec out how the system would work, how ratings are
 done, who acts as the editor, how biases and other inbalances shall
 be corrected, and so on. 

	I fail to see how that would be policy related, though.


 Scott> If your not allready noticing a concensus one way or another,
 Scott> there are more formal ways of proving this is the way or not.
 Scott> I urge you to make a decision on this instead of wallowing
 Scott> around in -devel.  Enlist a willing developer or two into your
 Scott> cause and find out if this is feasible.

	I suspect one needs to send a feeler for a GR.

	manoj
-- 
 A study of the science of technology defines what is possible; a
 study of the economics of technology establishes which of the
 possibilities is practical and useful.  -- Montgomery Phister
Manoj Srivastava   <srivasta@debian.org>  <http://www.debian.org/%7Esrivasta/>
1024R/C7261095 print CB D9 F4 12 68 07 E4 05  CC 2D 27 12 1D F5 E8 6E
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Scott Dier <dieman@ringworld.org>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #225 received at 138092@bugs.debian.org (full text, mbox):

From: Scott Dier <dieman@ringworld.org>
To: user list <debian-user@icantbelieveimdoingthis.com>
Cc: John Griffiths <john@capmon.com>, p <pplaw@pcisys.net>, Petro <petro@auctionwatch.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Fri, 15 Mar 2002 22:51:37 -0600
* user list <debian-user@icantbelieveimdoingthis.com> [020315 00:42]:
> Let's just say that this is a free-speech issue. The point is that free-speech

Lets just say this isn't a free speech issue and worry about policies
that restrict the sort of 'speech' that a maintainer could become
liable for.

I don't want to see RC bugs based around 'speech' and hours/months
wasted chainging the original intent of volunteers.  Is it a worthwhile
task to save our users from the evil of bad ideas?  Or is it a more
worthwhile task to just provide a extremely good System of Software.

Note I don't say Good Software.  People might imply that these bad ideas
are taken out of Bad Software before becoming Good Software.

These things might sound strange in a institution, but thats because
institution have been eroding our rights for ages, its about damn time
some institutions enhance our rights as Users, as Developers, and as
Software Contributors.

The Social Contract says that, "Our Priorities are Our Users and Free
Software".  Theres a bit after it that elaborates on this.  It states
that, "We will be guided by the needs of our users", however clarifies,
"..the needs of our users for operation in many different kinds of
computing environment."  I feel that we are providing 'operation' to our
users in a 'computing environment', what I'm worried about is a widining
of this into 'social environment'.  That widining can easily create a
ton of work that impedes on that part of the contract, and a disservice
to many users.

-- 
Scott Dier <dieman@ringworld.org> http://www.ringworld.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to Tom Cook <tom.cook@adelaide.edu.au>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #230 received at 138092@bugs.debian.org (full text, mbox):

From: Tom Cook <tom.cook@adelaide.edu.au>
To: p <pplaw@pcisys.net>
Cc: Petro <petro@auctionwatch.com>, Lazarus Long <lazarus@overdue.ddts.net>, Adam Conrad <adconrad@0c3.net>, 138092@bugs.debian.org, debian-devel@lists.debian.org, debian-user@lists.debian.org, debian-junior@lists.debian.org
Subject: Re: inappropriate racist and other offensive material
Date: Mon, 18 Mar 2002 11:15:02 +1030
p wrote:
[snip]
> >     Any racism you perceive in either of those two statements is purely
> >     your own ignorance and knee-jerk political correctness.
> 
> b.s.!  making fun of someone else's skin color is patently wrong, and i
> don't care how you want to slice it or garnish it with "red herring":

I don't think I agree with this.  Why is racism any different to
religion, profession, food preferences, girth, sexuality, intelligence,
the way someone walks, political preferences, accent, in fact any
attribute of a person?  All of these are the subject of jokes;  why is
racism blacklisted and not the others?  If I find a joke about my race
*offensive* then I will tell you, and expect, out of consideration for
me, that you would refrain from such humour in my presence (however that
is defined on the internet) in future.  I have the same consideration
for others.  But if we are not allowed jokes about the way people are,
or even the way we ourselves are, then humour will become the sacrifice
we make to the great insecurity of our age.  Why do people find a joke
about, say, the way they walk offensive?  Because they are not
comfortable with it themselves!  I am happy with people joking at the
shape of my knees, because I don't mind what my knees look like;  they
serve their purpose passing well.  I am happy with people joking at the
clothes I wear;  I choose my clothes because they keep me warm, or not
as warm as the environment may demand.  I am happy with people joking at
my family;  my family is among the best I have known, and I don't think
they have a case to answer for the way they have brought me up.  And I
am happy with people joking at my religion, because I am confident that
I will be justified in the day when Christ returns.  Where am I going
with this?  I am not quite sure, but it seems to me that we are
over-sensitive on some issues which don't deserve such extra
consideration over others.

[snip]
> >     You need a thicker skin.

apt-get install thicker-skin

> >
> ...(i'm gonna let that one pass.)
> 
> just because there isn't a "crystalline" standard as to racist
> statements doesn't mean that "anything goes."  (even "free speech" has
> limits.)
> 
> any offical .deb with that type of stupidity is a waste of bandwidth.

If it is a waste of bandwidth then why is it installed?  Clearly it
serves some useful purpose since people use it.  If some people want it,
then to not provide it is a disservice to them.  If you don't want it,
don't install it.

> > --
> > Share and Enjoy.
> >
> (thanks anyway.)

Ah, go and stick your head in a pig.

(If you don't recognise the quote, don't take offense at it, please.)

Tom
-- 
Tom Cook
Information Technology Services, The University of Adelaide

"That you're not paranoid does not mean they're not out to get you."
	- Robert Waldner



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to <elendil@netcom.no>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Message #235 received at 138092@bugs.debian.org (full text, mbox):

From: <elendil@netcom.no>
To: 138092@bugs.debian.org
Subject: ...
Date: Fri, 22 Mar 2002 01:39:47 +0100
It's just a joke damnit ...
Nothing _racist_ about it.

Stop being uptight and get on with your life...




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org:
Bug#138092; Package irssi-scripts. Full text and rfc822 format available.

Acknowledgement sent to <elendil@netcom.no>:
Extra info received and forwarded to list. Copy sent to Martin Loschwitz <madkiss@madkiss.org>, irssi-scripts@packages.qa.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:52:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.